/********** Template CSS **********/
@import "color.css";

/* Work Sans - Thin */
@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/work-sans/WorkSans-Thin.woff') format('woff');
    font-weight: 100;
    font-style: normal;
}

@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/work-sans/WorkSans-ThinItalic.woff') format('woff');
    font-weight: 100;
    font-style: italic;
}

/* ExtraLight */
@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/work-sans/WorkSans-ExtraLight.woff') format('woff');
    font-weight: 200;
    font-style: normal;
}

@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/work-sans/WorkSans-ExtraLightItalic.woff') format('woff');
    font-weight: 200;
    font-style: italic;
}

/* Light */
@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/work-sans/WorkSans-Light.woff') format('woff');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/work-sans/WorkSans-LightItalic.woff') format('woff');
    font-weight: 300;
    font-style: italic;
}

/* Regular */
@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/work-sans/WorkSans-Regular.woff') format('woff');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/work-sans/WorkSans-Italic.woff') format('woff');
    font-weight: 400;
    font-style: italic;
}

/* Medium */
@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/work-sans/WorkSans-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/work-sans/WorkSans-MediumItalic.woff') format('woff');
    font-weight: 500;
    font-style: italic;
}

/* SemiBold */
@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/work-sans/WorkSans-SemiBold.woff') format('woff');
    font-weight: 600;
    font-style: normal;
}

@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/work-sans/WorkSans-SemiBoldItalic.woff') format('woff');
    font-weight: 600;
    font-style: italic;
}

/* Bold */
@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/work-sans/WorkSans-Bold.woff') format('woff');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/work-sans/WorkSans-BoldItalic.woff') format('woff');
    font-weight: 700;
    font-style: italic;
}

/* ExtraBold */
@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/work-sans/WorkSans-ExtraBold.woff') format('woff');
    font-weight: 800;
    font-style: normal;
}

@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/work-sans/WorkSans-ExtraBoldItalic.woff') format('woff');
    font-weight: 800;
    font-style: italic;
}

/* Black */
@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/work-sans/WorkSans-Black.woff') format('woff');
    font-weight: 900;
    font-style: normal;
}

@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/work-sans/WorkSans-BlackItalic.woff') format('woff');
    font-weight: 900;
    font-style: italic;
}



body {
    font-family: 'Work Sans', sans-serif;
    font-weight: 400;
}

h2 {
    font-family: 'Work Sans', sans-serif !important;
    font-weight: 600 !important;
}

h1 {
    font-family: 'Work Sans', sans-serif !important;
    font-weight: 600 !important;
}

.title-home {
    font-family: 'Work Sans', sans-serif;
    font-weight: 600;
    font-size: 23px;
    color: black;
}

.bg-cream {
    background: var(--cream) !important;
}

.text-dark {
    color: #112250 !important;
}

.bg-gray-light {
    background: var(--gray-light);
}

.bg-main-primary {
    background: var(--primary);
}

.bg-main-primary .nav-item {
    color: white;
}

.bg-dark-cream {
    background: var(--dark-cream);
}

.bg-dark-blue {
    background: var(--dark-blue);
}

.text-primary {
    color: var(--primary-second);
}

.text-primary-dark {
    color: var(--dark);
}

.text-light-primary {
    color: var(--hightlight);
}

.text-primary-2 {
    color: var(--primary);
}

.text-primary-dark-blue {
    color: var(--dark-blue);
}

.btn-whatsapp {
    background-color: var(--whatsapp);
    color: white;
}

.btn-whatsapp:hover {
    background-color: var(--whatsapp-dark);
    color: white;
}

.back-to-top {
    position: fixed;
    display: none;
    right: 30px;
    bottom: 30px;
    z-index: 99;
}

.btn-outline-gray {
    width: 60px;
    height: 60px;
    background-color: white;
    border: 1px solid gray;
    color: black;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    /* opsional, untuk menghilangkan padding default btn */
}

.btn-outline-gray i {
    font-size: 18px;
    /* atau sesuaikan dengan kebutuhan */
}


h4,
h5,
h6,
.h4,
.h5,
.h6 {
    font-weight: 500 !important;
}


/*** Spinner ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}


/*** Button ***/
.btn {
    font-weight: 500;
    transition: .5s;
}

.btn.btn-primary {
    color: black;
    background: var(--hightlight);
    border-color: var(--hightlight);
    align-items: center;
    justify-content: center;
    padding-left: 40px;
    padding-right: 40px;
    padding-top: 7px;
    padding-bottom: 7px;
}

.btn.btn-primary-login {
    color: black;
    background: var(--hightlight);
    border-color: var(--hightlight);
    align-items: center;
    justify-content: center;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 4px;
    padding-bottom: 4px;
    border-radius: 15px;
}

.btn.btn-primary-2 {
    color: white;
    background: var(--primary-second);
    border-color: var(--primary-second);
    align-items: center;
    justify-content: center;
    padding-left: 35px;
    padding-right: 35px;
    padding-top: 7px;
    padding-bottom: 7px;
}

.btn.btn-primary-dark-red {
    color: #FFFFFF;
    background: var(--primary-dark-red);
    border-color: var(--primary-dark-red);
}

.btn.btn-dark-blue {
    color: #FFFFFF;
    background: var(--dark);
    border-color: var(--dark-blue);
}

.btn.btn-top {
    color: black;
    background: var(--hightlight);
    border-color: var(--hightlight);
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}


/*** Navbar ***/
.navbar.sticky-top {
    top: -100px;
    transition: .5s;
}

.navbar .navbar-brand {
    height: 75px;
}

.navbar .navbar-nav .nav-link {
    margin-right: 30px;
    padding: 25px 0;
    color: white;
    font-weight: 500;
    outline: none;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
    color: var(--primary-dark-red);
}

.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    vertical-align: middle;
    margin-left: 8px;
}

@media (max-width: 991.98px) {
    .navbar .navbar-nav .nav-link {
        margin-right: 0;
        padding: 10px 0;
    }

    .navbar .navbar-nav {
        border-top: 1px solid #EEEEEE;
    }
}

@media (min-width: 992px) {
    .navbar .nav-item .dropdown-menu {
        display: block;
        border: none;
        margin-top: 0;
        top: 150%;
        opacity: 0;
        visibility: hidden;
        transition: .5s;
    }

    .navbar .nav-item:hover .dropdown-menu {
        top: 100%;
        visibility: visible;
        transition: .5s;
        opacity: 1;
    }
}

.navbar .btn:hover {
    color: #FFFFFF !important;
    background: var(--primary) !important;
}


/*** Header ***/
.hero-header .breadcrumb-item+.breadcrumb-item::before {
    color: var(--secondary);
}


/*** Service ***/
.service-item {
    position: relative;
    overflow: hidden;
}

.service-item::after {
    position: absolute;
    content: "";
    width: 0;
    height: 0;
    top: -80px;
    right: -80px;
    border: 80px solid;
    transform: rotate(45deg);
    opacity: 1;
    transition: .5s;
}

.service-item.bg-white::after {
    border-color: transparent transparent var(--light) transparent;
}

.service-item.bg-light::after {
    border-color: transparent transparent #FFFFFF transparent;
}

.service-item:hover::after {
    opacity: 0;
}


/*** Roadmap ***/
.roadmap-carousel {
    position: relative;
}

.roadmap-carousel::before {
    position: absolute;
    content: "";
    height: 0;
    width: 100%;
    top: 20px;
    left: 0;
    border-top: 2px dashed var(--secondary);
}

.roadmap-carousel .roadmap-item .roadmap-point {
    position: absolute;
    width: 30px;
    height: 30px;
    top: 6px;
    left: 50%;
    margin-left: -15px;
    background: #FFFFFF;
    border: 2px solid var(--primary);
    transform: rotate(45deg);
    display: flex;
    align-items: center;
    justify-content: center;
}

.roadmap-carousel .roadmap-item .roadmap-point span {
    display: block;
    width: 18px;
    height: 18px;
    background: var(--primary);
}

.roadmap-carousel .roadmap-item {
    position: relative;
    padding-top: 150px;
    text-align: center;
}

.roadmap-carousel .roadmap-item::before {
    position: absolute;
    content: "";
    width: 0;
    height: 115px;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    border-right: 2px dashed var(--secondary);
}

.roadmap-carousel .roadmap-item::after {
    position: absolute;
    content: "";
    width: 14px;
    height: 14px;
    top: 111px;
    left: 50%;
    margin-left: -7px;
    transform: rotate(45deg);
    background: var(--primary);
}

.roadmap-carousel .owl-nav {
    margin-top: 40px;
    display: flex;
    justify-content: center;
}

.roadmap-carousel .owl-nav .owl-prev,
.roadmap-carousel .owl-nav .owl-next {
    margin: 0 12px;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50px;
    font-size: 22px;
    color: var(--light);
    background: var(--primary);
    transition: .5s;
}

.roadmap-carousel .owl-nav .owl-prev:hover,
.roadmap-carousel .owl-nav .owl-next:hover {
    color: var(--primary);
    background: var(--dark);
}


/*** FAQs ***/
.accordion .accordion-item {
    border: none;
    margin-bottom: 10px;
}

.accordion .accordion-button {
    color: rgb(114, 111, 111);
    background: transparent;
    border-radius: 2px;
    border-bottom: 1px solid rgb(234, 234, 234);
}

.accordion .accordion-button:not(.collapsed) {
    color: black !important;
    background: transparent;
    box-shadow: none;
}

.accordion .accordion-button:not(.collapsed)::after {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
}


.accordion .accordion-body {
    padding: 15px 0 0 40px;
}


/*** Footer ***/
.footer .btn.btn-link {
    display: block;
    margin-bottom: 5px;
    padding: 0;
    text-align: left;
    color: var(--secondary);
    font-weight: normal;
    text-transform: capitalize;
    transition: .3s;
}

.footer .btn.btn-link::before {
    position: relative;
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    color: var(--secondary);
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    color: var(--primary);
    letter-spacing: 1px;
    box-shadow: none;
}

.footer .btn.btn-square {
    color: var(--hightlight);
    border: 1px solid var(--hightlight);
}

.footer .btn.btn-square:hover {
    color: black;
    background: var(--hightlight);
}

.footer .copyright {
    padding: 25px 0;
    border-top: 1px solid rgba(17, 17, 17, .1);
}

.footer .copyright a {
    color: var(--primary);
}

.footer .copyright a:hover {
    color: var(--primary-dark-red);
}

/*-------------------------------------------------CAROUSEL BOOSTRAP -----------------------------------------------*/
/* ubah warna ke hitam */
.carousel-control-next,
.carousel-control-prev,
.carousel-indicators {
    filter: invert(100%);
}

.carousel-indicators {
    bottom: -2.4375rem;
}

/*-------------------------------------------------BACKGROUND IMAGE -----------------------------------------------*/
.background-image-home {
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    margin: 0;
    padding: 1rem 0;
}

.background-image-about {
    background-image: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.8)),
        url('/static/assets/img/behomy-rooms.webp');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    margin: 0;
    padding: 1rem 0;
}

.background-image-daftar-mitra {
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.background-image-daftar-mitra::before {
    background-image: url('/static/assets/img/daftar-mitra.webp');
    background-size: cover;
    content: "";
    position: absolute;
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
    background-color: rgba(0, 0, 0, 0.25);
    opacity: 0.3;
}

.background-image-mitra {
    background-image: url('/static/assets/img/map.webp');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.background-pilihan-unit {
    background-image: url('/static/assets/img/banner-kos.webp');
    background-size: cover;
    background-position: center;
    border-bottom-left-radius: 60px;
    position: relative;
    z-index: 1;
}

.background-exely-container {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 10px;
    width: calc(100% - 300px);
    padding: 20px;
    background-color: white;
    border-radius: 30px;
    box-shadow: 2px 6px 4px rgba(0, 0, 0, 0.1);
    z-index: 3;
}


.container-below {
    position: relative;
    margin-top: 130px;
    z-index: 1;
    /* Adjust space so the next section is below the background */
}

/* Mobile-specific styling */
@media (max-width: 991.98px) {
    .background-exely-container {
        width: calc(100% - 32px);
        max-width: 100%;
        left: 50%;
        transform: translateX(-50%);
        bottom: -20%;
    }

    .btn-temukan-kamar {
        width: 100% !important;
        /* ⬅️ Paksa melebar penuh */
        height: auto !important;
        padding: 10px 20px !important;
        border-radius: 999px !important;
    }

    .container-below {
        position: relative;
        margin-top: 10px;
    }
}


.image-wrapper-circle {
    width: 100px;
    /* Width of the circle */
    height: 100px;
    /* Height of the circle (same as width) */
    background-color: white;
    /* White background */
    border-radius: 50%;
    /* Makes it circular */
    display: flex;
    /* Centers the image */
    justify-content: center;
    /* Centers the image horizontally */
    align-items: center;
    /* Centers the image vertically */
    overflow: hidden;
    /* Ensures the image doesn't overflow the circle */
}

.image-wrapper-circle img {
    width: auto;
    /* Maintain aspect ratio */
    height: 100%;
    /* Make the image fill the height of the wrapper */
    max-width: none;
    /* Prevent the image from exceeding the wrapper */
    margin: 10px;
}


/*-------------------------------------------------BACKGROUND IMAGE -----------------------------------------------*/
.contact .map {
    margin-bottom: 40px;
}

.contact .map iframe {
    border: 0;
    width: 100%;
    height: 400px;
}

.map iframe {
    border: 0;
    width: 100%;
    height: 400px;
}

.rounded-container {
    background-color: var(--primary);
    /* Background color */
    border-radius: 0 200px 0 0;
    /* Top-right corner rounded */
    padding: 50px;
    /* Padding inside the container */
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.form-check-input:checked {
    background-color: var(--primary);
    border-color: var(--primary);
}

.btn.btn-outline-primary2 {
    color: var(--primary);
    border-color: var(--primary);
}

.btn.btn-outline-primary2:hover {
    color: white;
    background-color: var(--primary-second);
}

.btn.btn-outline-primary2.active {
    color: white;
    background-color: var(--primary-second);
}




.slider-banner-iklan {
    position: relative;
    z-index: 1;
    /* Ensure slider is above the header */
}


.header-behomy {
    position: fixed;
    top: 0;
    width: 100%;
    transition: background-color 0.3s ease;
    z-index: 1001;
    /* Ensure header is below the slider but above content */
    display: flex;
    justify-content: space-between;
    /* Space between logo and menu */
    align-items: center;
    background: linear-gradient(rgba(0, 0, 0, 0.4),
            /* Start color with opacity for darkening effect */
            rgba(0, 0, 0, 0)
            /* End color with full transparency */
        );
}

.header-behomy.white-background {
    background: linear-gradient(rgb(255, 255, 255),
            /* Start color with opacity for darkening effect */
            rgba(255, 255, 255, 1)
            /* End color with full transparency */
        );
    /* Background color when scrolled */
}

.header-behomy.white-background .nav-item {
    color: black;
    /* Text color when background is white */
}

.header-behomy.blue-background {
    background: var(--primary)
}

.header-behomy.blue-background .nav-item {
    color: white;
    /* Text color when background is white */
}

.header-behomy.transparent-background .nav-item {
    color: white;
    /* Text color when background is transparent */
}


.navbar-toggler-icons-dark {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%280,0,0,0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e")
}

.navbar-toggler-icons-light {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255,255,255,0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e")
}

.navbar-toggler-icons {
    display: inline-block;
    width: 1.2em;
    height: 1.2em;
    vertical-align: middle;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100%
}


.sidebar-behomy {
    padding: 20px;
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 999;
    background-color: white;
    box-shadow: 10px 0 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
    transform: translateX(-100%);
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: flex-start;
}

.sidebar-behomy ul,
.sidebar-behomy li,
.sidebar-behomy a {
    width: 100%;
    display: block;
}

.sidebar-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.sidebar-behomy .close-btn {
    width: 28px;
    height: 28px;
    border-radius: 50%;
    border: 1px solid var(--primary-second);
    background-color: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    padding: 0;
    margin: 0 10px;
}

.sidebar-behomy .close-icon {
    color: var(--primary-second);
    font-size: 18px;
    line-height: 1;
}

.sidebar-behomy .logo {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    height: 50px;
}

/* Styles when the sidebar is open */
.sidebar-behomy.open {
    transform: translateX(0);
    /* masuk dari kiri ke kanan */
    /* Slide into view */
}

.sidebar-behomy.hide {
    transform: translateX(-100%);
    /* keluar dari kanan ke kiri */
    /* keluar ke kanan */
}

.sidebar-behomy li {
    width: 100%;
    list-style-type: none;
    padding: 7px;
    color: black;
    border-bottom: 2px solid #f0f0f0;
}

.sidebar-behomy a {
    text-decoration: none;
    width: 100%;
    color: black;
    display: flex;
    align-items: center;
    padding: 10px;
    font-size: 13px;
    font-weight: 500;
}

@media(max-width: 400px) {
    .sidebar-behomy {
        width: 100%;
    }
}

/* Ensure sidebar is hidden when viewport is 992px or wider */
@media (min-width: 992px) {
    .sidebar-behomy {
        display: none;
        /* Always hidden when screen width is 992px or wider */
    }
}

.button-login {
    display: flex;
    /* Use flexbox to center content */
    justify-content: center;
    /* Center content horizontally */
    align-items: center;
    /* Center content vertically */
    width: 100%;
    /* Full width */
}

.sidebar-link:hover,
.sidebar-link.active {
    color: var(--primary-dark-red);
}

/* Form Overlay Styles */
.booking-form-overlay {
    padding: 10px;
    position: absolute;
    bottom: -10%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(255, 255, 255, 0.9);
    /* White background with slight transparency */
    border-radius: 25px;
    min-width: 75%;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    z-index: 1000;
    /* Ensure it is on top of the slider */
}

.booking-form-overlay-mobile {
    padding: 8px;
}

.container-search-mobile {
    margin-top: 40px;
    position: relative;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(255, 255, 255, 0.9);
    /* White background with slight transparency */
    border-radius: 25px;
    width: 100%;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.booking-form-overlay-mobile .title {
    padding-left: 15px;
    color: #1c1c1c;
    font-size: 10px;
    font-weight: bold;
    margin-bottom: 0px;
    padding-bottom: 0px;
}

.booking-form-overlay-mobile .lokasi-tgl {
    font-size: 12px;
    padding-left: 15px;
    color: #6e6d6d;
    margin-top: 0px;
    padding-top: 0px;
}

.booking-form-overlay-mobile .container-title-tgl {
    display: flex;
    flex-direction: column;
}

.title,
.lokasi-tgl {
    display: block;
}

.booking-form-overlay-mobile button {
    right: 10px;
    top: 10px;
}

.input-search {
    width: 100%;
    border: 2px solid transparent;
    /* Placeholder for hover effect */
    background-color: white !important;
    margin-top: -3px;
    margin-left: -5px;
    transition: border-color 0.3s ease;
    outline: none;
    /* Optional: removes blue focus border */
}

.input-search-2 {
    width: 100%;
    border: 1px solid #b2b2b6;
    /* Placeholder for hover effect */
    background-color: white !important;
    margin-top: -3px;
    margin-left: -5px;
    transition: border-color 0.3s ease;
    outline: none;
    /* Optional: removes blue focus border */
}

.btn-temukan-kamar {
    background-color: var(--primary-second);
    color: white;
    border: none;
    font-size: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
    padding: 0;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    margin: 0 auto;
    /* center jika parent lebar */
}

.btn-circle-number {
    width: 30px;
    /* Set a fixed width for the buttons */
    height: 30px;
    /* Match the height of the buttons */
    border-radius: 50%;
    /* Make the buttons circular */
    display: flex;
    /* Center the content */
    align-items: center;
    /* Center vertically */
    justify-content: center;
    /* Center horizontally */
    padding: 0;
    /* Remove default padding */
}

.input-search-date {
    border-radius: 30px;
    padding: 20px;
    width: 310px;
    height: 40px;
    border: transparent;
    background-color: white !important;
}

.input-search-mobile {
    border-radius: 60px;
    padding: 15px;
    width: 100%;
    height: 55px;
    border: 1px solid #e5e5e8;
    background-color: white !important;
}

.input-search-mobile:focus {
    outline: none;
    border: 4px solid #c5f4ff;
    /* Change border color when focused */
    background-color: #f1f1f1;
    /* Optionally change background color */
}

/* Styling input with icon */
.input-icon,
.input-icon-tamu {
    position: relative;
}

.input-wrapper {
    position: relative;
}

.input-icon i {
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(-50%);
    color: #cc7a51;
    /* Icon color */
    pointer-events: none;
    /* Make sure the icon does not interfere with input focus */
}

.input-icon input {
    padding-right: 40px;
    padding-left: 20px;
    /* Add space to the left of the input to make room for the icon */
}

.label-search {
    position: absolute;
    left: 20px;
    top: 2px;
    font-size: 13px;
    color: #575757;
    pointer-events: none;
    transition: all 0.2s ease-out;
}

.input-group {
    display: flex;
    align-items: center;
    /* Center align items vertically */
}

.title-search-mobile {
    color: black;
    font-weight: bold;
    font-size: 14px;
}

.card-search {
    display: flex;
    justify-content: space-between;
    /* Space between items */
    align-items: center;
    /* Center items vertically */
    width: 100%;
}

@media (max-width: 1191px) {
    .booking-form-overlay {
        display: none;
        /* Always hidden when screen width is 992px or wider */
    }

    .container-search {
        display: none;
    }
}

@media (max-width: 1190px) {
    .booking-form-overlay {
        display: flex;
        /* This allows the overlay to be displayed when screen width is 991px or less */
        justify-content: center;
        /* Center content horizontally */
        align-items: center;
        /* Center content vertically */
        min-height: 100vh;
        /* Optional: ensure it takes full height */
    }
}

@media (min-width: 1191px) {
    .booking-form-overlay-mobile {
        display: none;
        /* Always hidden when screen width is 992px or wider */
    }
}

.avatar-xl {
    width: 8rem;
    height: 8rem;
    min-width: 8rem;
    min-height: 8rem;
    object-fit: cover;
}

.avatar-md {
    width: 80px;
    height: 80px;
    min-width: 80px;
    min-height: 80px;
    object-fit: cover;
}

.avatar-sm {
    width: 40px;
    height: 40px;
    min-width: 40px;
    min-height: 40px;
    object-fit: cover;
}

.suggestion-image {
    width: 50px;
    /* Adjust size as needed */
    height: 50px;
    /* Adjust size as needed */
    border-radius: 8%;
    /* Make it circular */
    margin-right: 10px;
    /* Space between image and text */
}

.suggestion-list {
    display: none;
    max-height: 250px;
    min-width: 250px;
    overflow-y: auto;
    position: absolute;
    background: white;
    margin-top: 20px;
    border-radius: 12px;
    /* Adjust this value for more or less rounding */
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    /* Optional: add a shadow for better visibility */
    pointer-events: auto;
    /* Allow pointer events */
    padding: 20px;
    border: 1px solid rgb(236, 236, 236);
}

.suggestion-list-mobile {
    display: none;
    /* Hide initially */
    border: none;
    overflow-y: auto;
    position: relative;
    background: white;
    z-index: 1000;
    margin-top: 5px;
    width: 100%;
    pointer-events: auto;
    /* Allow pointer events */
}

.suggestion-item {
    cursor: pointer;
    display: flex;
    align-items: center;
    padding: 5px 0;
}

.suggestion-budget-container-price {
    font-size: 12px;
    border: 1px solid rgb(236, 236, 236);
    border-radius: 12px;
    padding-top: 2px;
    padding-bottom: 2px;
    padding-left: 10px;
    padding-right: 10px;
}

.wrapper-range {
    position: relative;
    width: 100%;
    background-color: #ffffff;
    border-radius: 10px;
}

.container-budget {
    position: relative;
    width: 100%;
    height: 50px;
}

input[type="range"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 100%;
    outline: none;
    position: absolute;
    margin: auto;
    top: 0;
    bottom: 0;
    background-color: transparent;
    pointer-events: none;
}

.slider-track {
    width: 100%;
    height: 5px;
    position: absolute;
    margin: auto;
    top: 0;
    bottom: 0;
    border-radius: 5px;
}

input[type="range"]::-webkit-slider-runnable-track {
    -webkit-appearance: none;
    height: 5px;
}

input[type="range"]::-moz-range-track {
    -moz-appearance: none;
    height: 5px;
}

input[type="range"]::-ms-track {
    appearance: none;
    height: 5px;
}

input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    height: 1.3em;
    width: 1.3em;
    background-color: white;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    cursor: pointer;
    margin-top: -9px;
    pointer-events: auto;
    border-radius: 50%;
    border: 1px solid rgb(236, 236, 236);
}

input[type="range"]::-moz-range-thumb {
    -webkit-appearance: none;
    height: 1.3em;
    width: 1.3em;
    cursor: pointer;
    border-radius: 50%;
    background-color: var(--primary);
    pointer-events: auto;
    border: 1px solid rgb(236, 236, 236);
}

input[type="range"]::-ms-thumb {
    appearance: none;
    height: 1.3em;
    width: 1.3em;
    cursor: pointer;
    border-radius: 50%;
    background-color: var(--primary);
    pointer-events: auto;
}

input[type="range"]:active::-webkit-slider-thumb {
    background-color: #ffffff;
    border: 1px solid var(--primary);
}

/*------------------------------------------PLUS MINUS INPUT NUMBER ------------------------------------------------*/
.minus,
.plus {
    cursor: pointer;
    width: 20px;
    height: 20px;
    background: #f2f2f2;
    border-radius: 4px;
    padding: 8px 5px 8px 5px;
    border: 1px solid #ddd;
    display: inline-block;
    vertical-align: middle;
    text-align: center;
}

.jumlah-tamu {
    height: 34px;
    width: 100px;
    text-align: center;
    font-size: 26px;
    border: 1px solid #ddd;
    border-radius: 4px;
    display: inline-block;
    vertical-align: middle;
}

.btnBudget {
    border: none;
    outline: none;
    padding: 12px 16px;
    background-color: #f1f1f1;
    cursor: pointer;
    border-radius: 10px;
}

/* Add a light grey background on mouse-over */
.btnBudget:hover {
    background-color: #ddd;
}

.btnBudget.active {
    background-color: #666;
    color: white;
}

.show-budget {
    display: block !important;
}

.filterDiv {
    display: none;
    /* Hidden by default */
}

.container-budget {
    overflow: hidden;
}

/********************************************************** ABOUT US **************************************************/
.responsive-container-block {
    min-height: 75px;
    height: fit-content;
    width: 100%;
    padding-top: 10px;
    padding-right: 10px;
    padding-bottom: 10px;
    padding-left: 10px;
    display: flex;
    flex-wrap: wrap;
    margin-top: 0px;
    margin-right: auto;
    margin-bottom: 0px;
    margin-left: auto;
    justify-content: flex-start;
}

.text-blk {
    margin-top: 0px;
    margin-right: 0px;
    margin-bottom: 0px;
    margin-left: 0px;
    padding-top: 10px;
    padding-right: 10px;
    padding-bottom: 10px;
    padding-left: 10px;
    line-height: 25px;
}

.responsive-container-block.bigContainer {
    padding-top: 10px;
    padding-right: 30px;
    padding-bottom: 10px;
    padding-left: 30px;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 10px 50px 10px 50px;
}

.mainImg {
    color: black;
    width: 100%;
    height: auto;
    border-radius: 25px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.19);
    /* subtle shadow */
}

.text-blk.headingText {
    font-size: 22px;
    font-weight: 700;
    line-height: 30px;
    color: var(--primary);
    padding-top: 0px;
    padding-right: 10px;
    padding-bottom: 0px;
    padding-left: 0px;
    margin-top: 0px;
    margin-right: 0px;
    margin-bottom: 5px;
    margin-left: 0px;
}

.allText {
    padding-top: 0px;
    padding-right: 0px;
    padding-bottom: 0px;
    padding-left: 0px;
    width: 40%;
    margin-top: 0px;
    margin-right: 0px;
    margin-bottom: 0px;
    margin-left: 0px;
}

.text-blk.subHeadingText {
    color: rgb(102, 102, 102);
    font-size: 26px;
    line-height: 32px;
    font-weight: 700;
    margin-top: 0px;
    margin-right: 0px;
    margin-bottom: 15px;
    margin-left: 0px;
    padding-top: 0px;
    padding-right: 10px;
    padding-bottom: 0px;
    padding-left: 0px;
}

.text-blk.description {
    font-size: 18px;
    line-height: 26px;
    color: rgb(102, 102, 102);
    margin-top: 0px;
    margin-right: 0px;
    margin-bottom: 50px;
    margin-left: 0px;
    font-weight: 400;
    padding-top: 0px;
    padding-right: 10px;
    padding-bottom: 0px;
    padding-left: 0px;
}

.explore {
    font-size: 16px;
    line-height: 28px;
    color: rgb(102, 102, 102);
    border-top-width: 2px;
    border-right-width: 2px;
    border-bottom-width: 2px;
    border-left-width: 2px;
    border-top-style: solid;
    border-right-style: solid;
    border-bottom-style: solid;
    border-left-style: solid;
    border-top-color: rgb(102, 102, 102);
    border-right-color: rgb(102, 102, 102);
    border-bottom-color: rgb(102, 102, 102);
    border-left-color: rgb(102, 102, 102);
    border-image-source: initial;
    border-image-slice: initial;
    border-image-width: initial;
    border-image-outset: initial;
    border-image-repeat: initial;
    cursor: pointer;
    background-color: white;
    margin-top: 0px;
    margin-right: 0px;
    margin-bottom: 0px;
    margin-left: 0px;
    padding-top: 8px;
    padding-right: 40px;
    padding-bottom: 8px;
    padding-left: 40px;
    border-radius: 10px;
}

.explore:hover {
    background-image: initial;
    background-position-x: initial;
    background-position-y: initial;
    background-size: initial;
    background-attachment: initial;
    background-origin: initial;
    background-clip: initial;
    background-color: var(--primary);
    color: white;
    border-top-width: initial;
    border-right-width: initial;
    border-bottom-width: initial;
    border-left-width: initial;
    border-top-style: none;
    border-right-style: none;
    border-bottom-style: none;
    border-left-style: none;
    border-top-color: initial;
    border-right-color: initial;
    border-bottom-color: initial;
    border-left-color: initial;
    border-image-source: initial;
    border-image-slice: initial;
    border-image-width: initial;
    border-image-outset: initial;
    border-image-repeat: initial;
}

.responsive-container-block.Container {
    margin-top: 80px;
    margin-right: auto;
    margin-bottom: 50px;
    margin-left: auto;
    justify-content: center;
    align-items: center;
    max-width: 1320px;
    padding-top: 10px;
    padding-right: 10px;
    padding-bottom: 10px;
    padding-left: 10px;
}

.responsive-container-block.Container.bottomContainer {
    flex-direction: row-reverse;
    margin-top: 80px;
    margin-right: auto;
    margin-bottom: 50px;
    margin-left: auto;
    position: static;
}

.allText.aboveText {
    margin-top: 0px;
    margin-right: 0px;
    margin-bottom: 0px;
    margin-left: 40px;
}

.allText.bottomText {
    margin-top: 0px;
    margin-right: 40px;
    margin-bottom: 0px;
    margin-left: 0px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    padding-top: 0px;
    padding-right: 15px;
    padding-bottom: 0px;
    padding-left: 0px;
}

.purpleBox {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    max-width: 430px;
    background-color: var(--primary);
    padding-top: 20px;
    padding-right: 20px;
    padding-bottom: 20px;
    padding-left: 20px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
    position: absolute;
    bottom: -35px;
    left: -8%;
}

.purpleText {
    font-size: 18px;
    line-height: 26px;
    color: white;
    margin-top: 0px;
    margin-right: 0px;
    margin-bottom: 10px;
    margin-left: 0px;
}

.ultimateImg {
    width: 40%;
    position: relative;
}

@media (max-width: 1024px) {
    .responsive-container-block.Container {
        max-width: 850px;
    }

    .mainImg {
        width: 55%;
        height: auto;
    }

    .allText {
        width: 40%;
        margin-top: 0px;
        margin-right: 0px;
        margin-bottom: 0px;
        margin-left: 20px;
    }

    .responsive-container-block.bigContainer {
        padding-top: 10px;
        padding-right: 10px;
        padding-bottom: 10px;
        padding-left: 10px;
    }

    .responsive-container-block.Container.bottomContainer {
        margin-top: 80px;
        margin-right: auto;
        margin-bottom: 50px;
        margin-left: auto;
    }

    .responsive-container-block.Container {
        max-width: 830px;
    }

    .allText.aboveText {
        margin-top: 30px;
        margin-right: 0px;
        margin-bottom: 0px;
        margin-left: 40px;
    }

    .allText.bottomText {
        margin-top: 30px;
        margin-right: 40px;
        margin-bottom: 0px;
        margin-left: 0px;
        text-align: left;
    }

    .text-blk.headingText {
        text-align: center;
    }

    .allText.aboveText {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        margin-top: 30px;
        margin-right: 0px;
        margin-bottom: 0px;
        margin-left: 0px;
    }

    .text-blk.subHeadingText {
        text-align: left;
        font-size: 26px;
        line-height: 32px;
    }

    .text-blk.description {
        text-align: left;
        line-height: 24px;
    }

    .explore {
        margin-top: 0px;
        margin-right: 0px;
        margin-bottom: 0px;
        margin-left: 0px;
    }

    .responsive-container-block.bigContainer {
        padding-top: 10px;
        padding-right: 30px;
        padding-bottom: 10px;
        padding-left: 30px;
    }

    .responsive-container-block.Container {
        justify-content: space-evenly;
    }

    .purpleBox {
        bottom: 10%;
    }

    .responsive-container-block.Container.bottomContainer {
        padding-top: 10px;
        padding-right: 0px;
        padding-bottom: 10px;
        padding-left: 0px;
        max-width: 930px;
    }

    .allText.bottomText {
        width: 40%;
    }

    .purpleBox {
        bottom: auto;
        left: -10%;
        top: 70%;
    }

    .mainImg {
        width: 100%;
    }

    .text-blk.headingText {
        text-align: left;
    }
}

@media (max-width: 768px) {
    .allText {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding-top: 0px;
        padding-right: 0px;
        padding-bottom: 0px;
        padding-left: 0px;
    }

    .responsive-container-block.Container {
        flex-direction: column;
        height: auto;
    }

    .text-blk.headingText {
        text-align: center;
    }

    .text-blk.subHeadingText {
        text-align: center;
        font-size: 24px;
    }

    .text-blk.description {
        text-align: center;
        font-size: 18px;
    }

    .allText {
        margin-top: 40px;
        margin-right: 0px;
        margin-bottom: 0px;
        margin-left: 0px;
    }

    .allText.aboveText {
        margin-top: 40px;
        margin-right: 0px;
        margin-bottom: 0px;
        margin-left: 0px;
    }

    .responsive-container-block.Container {
        margin-top: 80px;
        margin-right: auto;
        margin-bottom: 50px;
        margin-left: auto;
    }

    .responsive-container-block.Container.bottomContainer {
        margin-top: 50px;
        margin-right: auto;
        margin-bottom: 50px;
        margin-left: auto;
    }

    .allText.bottomText {
        margin-top: 40px;
        margin-right: 0px;
        margin-bottom: 0px;
        margin-left: 0px;
    }

    .mainImg {
        width: 100%;
        margin-top: 0px;
        margin-right: 0px;
        margin-bottom: -70px;
        margin-left: 0px;
    }

    .responsive-container-block.Container.bottomContainer {
        flex-direction: column;
    }

    .ultimateImg {
        width: 100%;
    }

    .purpleBox {
        position: static;
    }

    .allText.bottomText {
        width: 100%;
        align-items: flex-start;
    }

    .text-blk.headingText {
        text-align: left;
    }

    .text-blk.subHeadingText {
        text-align: left;
    }

    .text-blk.description {
        text-align: left;
    }

    .ultimateImg {
        position: static;
    }

    .mainImg {
        margin-top: 0px;
        margin-right: 0px;
        margin-bottom: 0px;
        margin-left: 0px;
    }

    .ultimateImg {
        position: relative;
    }

    .purpleBox {
        margin-top: 0px;
        margin-right: 0px;
        margin-bottom: 0px;
        margin-left: 0px;
        position: absolute;
        left: 0px;
        top: 80%;
    }

    .allText.bottomText {
        margin-top: 100px;
        margin-right: 0px;
        margin-bottom: 0px;
        margin-left: 0px;
    }
}

@media (max-width: 500px) {
    .responsive-container-block.Container {
        padding-top: 10px;
        padding-right: 0px;
        padding-bottom: 10px;
        padding-left: 0px;
        width: 100%;
        max-width: 100%;
    }

    .mainImg {
        width: 100%;
    }

    .responsive-container-block.bigContainer {
        padding-top: 10px;
        padding-right: 25px;
        padding-bottom: 10px;
        padding-left: 25px;
    }

    .text-blk.subHeadingText {
        font-size: 24px;
        padding-top: 0px;
        padding-right: 0px;
        padding-bottom: 0px;
        padding-left: 0px;
        line-height: 28px;
    }

    .text-blk.description {
        font-size: 16px;
        padding-top: 0px;
        padding-right: 0px;
        padding-bottom: 0px;
        padding-left: 0px;
        line-height: 22px;
    }

    .allText {
        padding-top: 0px;
        padding-right: 0px;
        padding-bottom: 0px;
        padding-left: 0px;
        width: 100%;
    }

    .allText.bottomText {
        margin-top: 50px;
        margin-right: 0px;
        margin-bottom: 0px;
        margin-left: 0px;
        padding: 0 0 0 0;
        margin: 30px 0 0 0;
    }

    .ultimateImg {
        position: static;
    }

    .purpleBox {
        position: static;
    }

    .stars {
        width: 55%;
    }

    .allText.bottomText {
        margin-top: 75px;
        margin-right: 0px;
        margin-bottom: 0px;
        margin-left: 0px;
    }

    .responsive-container-block.bigContainer {
        padding-top: 10px;
        padding-right: 20px;
        padding-bottom: 10px;
        padding-left: 20px;
    }

    .purpleText {
        font-size: 16px;
        line-height: 22px;
    }

    .explore {
        padding: 6px 35px 6px 35px;
        font-size: 15px;
    }
}

a[type="button"].disabled-button {
    background-color: #e3a181;
    border: none;
    cursor: not-allowed;
    pointer-events: none;
    /* This disables the link's clickability */
}

.category-box {
    border-top: 3px solid #5d5f5e;
    transition: border-color 0.3s;
    padding-top: 15px;
    /* optional for spacing */
}

.category-box:hover {
    border-top-color: white;
}

.category-box.active {
    border-top-color: white;
}

.category-card {
    color: black;
    position: absolute;
    background-color: var(--cream);
    border-bottom-right-radius: 15px;
    border-top-right-radius: 15px;
    padding: 2px 15px;
    margin: 8px 0px;
    font-size: 13px;
}

@media (max-width: 768px) {
    .category-box img {
        width: 70px;
    }

    .text-number-room {
        font-size: 10px;
    }

    .background-image-home {
        padding-top: 1px;
        padding-left: 30px;
        padding-right: 30px;
    }

    .text-explore {
        font-size: 20px;
        padding-left: 25px;
        padding-right: 25px;
    }
}

.text-explore {
    font-size: 23px;
}

/* Bordered Tabs */
.nav-tabs-bordered {
    border-bottom: 2px solid #ebeef4;
}

.nav-tabs-bordered .nav-link {
    margin-bottom: -2px;
    border: none;
    color: #2c384e;
}

.nav-tabs-bordered .nav-link:hover,
.nav-tabs-bordered .nav-link:focus {
    color: var(--primary);
}

.nav-tabs-bordered .nav-link.active {
    background-color: #fff;
    color: var(--primary);
    border-bottom: 2px solid var(--primary);
}

.cta-buttons-mitra {
    display: flex;
    gap: 22px;
}

.btn-primary-mitra {
    padding: 14px 32px;
    border-radius: 16px;
    font-size: 15px;
    font-weight: 600;
    border: none;
    background: #ffffff;
    color: #0F1B49;
    cursor: pointer;
    box-shadow: 0px 4px 14px rgba(255, 255, 255, 0.15);
}

.btn-primary-mitra:hover {
    opacity: 0.92;
}

.btn-outline-mitra {
    padding: 14px 32px;
    border-radius: 16px;
    font-size: 15px;
    font-weight: 600;
    background: transparent;
    color: #ffffff;
    cursor: pointer;
    border: 2px solid rgba(255, 255, 255, 0.32);
    box-shadow: 0 0 14px rgba(255, 255, 255, 0.14);
    backdrop-filter: blur(6px);
}

.btn-outline-mitra:hover {
    border-color: rgba(255, 255, 255, 0.5);
    color: white;
}

.page-container-mitra {
    display: flex;
    justify-content: center;
    /* center horizontal */
    align-items: center;
    /* center vertical */
    height: 100%;
}


.card-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-left: 100px;
    /* untuk vertical center */
    gap: 25px;
    height: 100%;
    /* penting agar align center bekerja */
}

.compare-card {
    background: #ffffff;
    border-radius: 18px;
    padding: 28px;
    box-shadow: 0px 4px 16px rgba(0, 0, 0, 0.08);
    position: relative;
    border-left: 12px solid transparent;
}

.compare-card.red {
    border-left-color: #E85D5D;
}

.compare-card.green {
    border-left-color: #76D973;
}

.card-wrapper .card-header-mitra {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.card-wrapper .card-header-mitra h3 {
    font-size: 18px;
    font-weight: 700;
    color: #112150;
    margin: 0;
}

.card-wrapper ul {
    padding-left: 0;
    margin-top: 22px;
}

.card-wrapper ul li {
    list-style: none;
    font-size: 15px;
    font-weight: 500;
    margin-bottom: 12px;
    color: #213049;
}


/* BADGES */
.card-wrapper .badge {
    padding: 4px 14px;
    border-radius: 14px;
    font-size: 11px;
    font-weight: 700;
}

.card-wrapper .red-badge {
    background: rgba(255, 151, 151, 0.25);
    color: #D74F4F;
}

.card-wrapper .green-badge {
    background: rgba(123, 242, 127, 0.25);
    color: #1BA034;
}

.compare-card ul li {
    display: flex;
    align-items: flex-start;
    gap: 8px; /* jarak teks dan icon */
    line-height: 1.5;
}

.compare-card ul li span {
    width: 18px;      /* sesuaikan ukuran icon */
    flex-shrink: 0;   /* cegah icon mengecil */
}
